### Method

# Shumate Compass set_viewport

#### Declaration [src]

    void
    shumate_compass_set_viewport (
      ShumateCompass* compass,
      ShumateViewport* viewport
    )

#### Description [src]

Sets the compass viewport.

Sets property | `Shumate.Compass:viewport`

#### Parameters

`viewport` | `ShumateViewport`
| A `ShumateViewport`
| The argument can be `NULL`.
| The data is owned by the caller of the function.